All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts
Class PromptHelp

    com.sas.prompts.PromptHelp

All Implemented Interfaces:
  com.sas.models.VersionInterface, com.sas.PublicClonable, com.sas.util.log.ComponentLogFactoryInterface, com.sas.util.xmlpersist.PersistenceInterface, java.io.Externalizable, java.io.Serializable, java.lang.Cloneable

    public class PromptHelp

implements java.io.Serializable, com.sas.PublicClonable

See Also:
  Serialized Form

Constructor Summary
`PromptHelp()`

Method Summary
`java.lang.Object` | `clone()`
`void` | `consumeRelatedObjects(com.sas.util.xmlpersist.RelatedObjectListsHolder roHolder)` Method consumeRelatedObjects.
`java.lang.String` | `getDefinitionElementName()` Unless overridden, throws IllegalStateException to show that this class cannot be persisted.
`java.lang.String` | `getHelpAreaDefaultContent(java.util.Locale locale)`
`com.sas.prompts.HelpPlacement` | `getHelpAreaPlacement()`
`java.lang.String` | `getHelpAreaTitle(java.util.Locale locale)`
`java.lang.String` | `getHelpContent(java.util.Locale locale)`
`java.lang.String` | `getHelpPopupTooltip(java.util.Locale locale)`
`com.sas.storage.editableproperties.PropertyList` | `getLocalizableProperties()`
`void` | `setHelpAreaDefaultContent(java.lang.String content, java.util.Locale locale)`
`void` | `setHelpAreaPlacement(com.sas.prompts.HelpPlacement placement)`
`void` | `setHelpAreaTitle(java.lang.String title, java.util.Locale locale)`
`void` | `setHelpContent(java.lang.String content, java.util.Locale locale)`
`void` | `setHelpPopupTooltip(java.lang.String toolTip, java.util.Locale locale)`
`void` | `setLocalizableProperties(com.sas.storage.editableproperties.PropertyMap map)`
`protected void` | `writeDefinition(org.w3c.dom.Element element, com.sas.util.xmlpersist.PromptsWritingContext writingContext)` Subclasses must implement desired behavior.

Constructor Detail

### PromptHelp

    public PromptHelp()

Method Detail

### getHelpContent

    public java.lang.String getHelpContent(java.util.Locale locale)

### setHelpContent

    public void setHelpContent(java.lang.String content,
                               java.util.Locale locale)

### getHelpAreaPlacement

    public com.sas.prompts.HelpPlacement getHelpAreaPlacement()

### setHelpAreaPlacement

    public void setHelpAreaPlacement(com.sas.prompts.HelpPlacement placement)

### getHelpAreaTitle

    public java.lang.String getHelpAreaTitle(java.util.Locale locale)

### setHelpAreaTitle

    public void setHelpAreaTitle(java.lang.String title,
                                 java.util.Locale locale)

### getHelpAreaDefaultContent

    public java.lang.String getHelpAreaDefaultContent(java.util.Locale locale)

### setHelpAreaDefaultContent

    public void setHelpAreaDefaultContent(java.lang.String content,
                                          java.util.Locale locale)

### getHelpPopupTooltip

    public java.lang.String getHelpPopupTooltip(java.util.Locale locale)

### setHelpPopupTooltip

    public void setHelpPopupTooltip(java.lang.String toolTip,
                                    java.util.Locale locale)

### getDefinitionElementName

    public java.lang.String getDefinitionElementName()

  Description copied from class: `BaseAbstractPersistence`
  Unless overridden, throws IllegalStateException to show that this class cannot be persisted. Concrete subclasses must override this method without calling super. They must return a value starting with "ELEMENT_" from `com.sas.util.xmlpersist.PersistConstants`. This value is used for identifying the class as an element name in XML.

  Specified by:
    `getDefinitionElementName` in interface `com.sas.util.xmlpersist.PersistenceInterface`
  Overrides:
    `getDefinitionElementName` in class `com.sas.util.xmlpersist.impl.BaseAbstractPersistence`
  Returns:
    the class name

### writeDefinition

    protected void writeDefinition(org.w3c.dom.Element element,
                                   com.sas.util.xmlpersist.PromptsWritingContext writingContext)
                            throws java.util.prefs.BackingStoreException

  Description copied from class: `BaseAbstractPersistence`
  Subclasses must implement desired behavior.

  Overrides:
    `writeDefinition` in class `com.sas.util.xmlpersist.impl.BaseAbstractPersistence`
  Throws:
    `java.util.prefs.BackingStoreException`

### consumeRelatedObjects

    public void consumeRelatedObjects(com.sas.util.xmlpersist.RelatedObjectListsHolder roHolder)
                               throws org.xml.sax.SAXException

  Method consumeRelatedObjects.

  Specified by:
    `consumeRelatedObjects` in interface `com.sas.util.xmlpersist.PersistenceInterface`
  Overrides:
    `consumeRelatedObjects` in class `com.sas.util.xmlpersist.impl.BaseAbstractPersistence`
  Parameters:
    `roHolder` - RelatedObjectListsHolder
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `PersistenceInterface.consumeRelatedObjects(RelatedObjectListsHolder)`

### getLocalizableProperties

    public com.sas.storage.editableproperties.PropertyList getLocalizableProperties()

### setLocalizableProperties

    public void setLocalizableProperties(com.sas.storage.editableproperties.PropertyMap map)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.